package com.mortals.xhx.module.sms.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.sms.model.vo.SmsSetVo;
/**
* 短信设置实体对象
*
* @author zxfei
* @date 2022-01-12
*/

public class SmsSetEntity extends SmsSetVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 站点名称
    */
    private String siteName;
    /**
    * 短信签名
    */
    private String sign;
    /**
    * 剩余短信条数
    */
    private Long lastnum;
    /**
    * 用户名
    */
    private String username;
    /**
    * 短信开关 (1.开,0.关)
    */
    private Integer messageoff;
    /**
    * 短信平台 (1.容联,2.阿里云,3.移动)
    */
    private Integer smsplatform;



    public SmsSetEntity(){}
    /**
    * 获取 站点id
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点id
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 站点名称
    * @return String
    */
    public String getSiteName(){
        return siteName;
    }
    /**
    * 设置 站点名称
    * @param siteName
    */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
    * 获取 短信签名
    * @return String
    */
    public String getSign(){
        return sign;
    }
    /**
    * 设置 短信签名
    * @param sign
    */
    public void setSign(String sign){
        this.sign = sign;
    }
    /**
    * 获取 剩余短信条数
    * @return Long
    */
    public Long getLastnum(){
        return lastnum;
    }
    /**
    * 设置 剩余短信条数
    * @param lastnum
    */
    public void setLastnum(Long lastnum){
        this.lastnum = lastnum;
    }
    /**
    * 获取 用户名
    * @return String
    */
    public String getUsername(){
        return username;
    }
    /**
    * 设置 用户名
    * @param username
    */
    public void setUsername(String username){
        this.username = username;
    }
    /**
    * 获取 短信开关 (1.开,0.关)
    * @return Integer
    */
    public Integer getMessageoff(){
        return messageoff;
    }
    /**
    * 设置 短信开关 (1.开,0.关)
    * @param messageoff
    */
    public void setMessageoff(Integer messageoff){
        this.messageoff = messageoff;
    }
    /**
    * 获取 短信平台 (1.容联,2.阿里云,3.移动)
    * @return Integer
    */
    public Integer getSmsplatform(){
        return smsplatform;
    }
    /**
    * 设置 短信平台 (1.容联,2.阿里云,3.移动)
    * @param smsplatform
    */
    public void setSmsplatform(Integer smsplatform){
        this.smsplatform = smsplatform;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SmsSetEntity) {
            SmsSetEntity tmp = (SmsSetEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",sign:").append(getSign());
        sb.append(",lastnum:").append(getLastnum());
        sb.append(",username:").append(getUsername());
        sb.append(",messageoff:").append(getMessageoff());
        sb.append(",smsplatform:").append(getSmsplatform());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.siteName = null;

            this.sign = null;

            this.lastnum = null;

            this.username = null;

            this.messageoff = 1;

            this.smsplatform = 1;
    }
}